<template>
  <tr>
    <td><label :for="nam">{{nam}}</label></td>
    <td><input :id="nam" type="text" @keyup="keyup" /></td>
  </tr>
</template>

<script>
export default {
  // components: { Comp },
  props: {
    nam: { type:String, required:true },
    why: { type:String },
    // param: { type:Object },
    // title:    { type:String },
    // comps:    { type:Array },
    // a:        { type:String },
    // b:        { type:String },
    // c:        { type:Array },
    // instance: { type:Object, default:function () { return {} } },
    // selected: { type:Boolean },
  },
  data () {
    return {
      // electron: process.versions.electron,
      // name:     this.$route.name,
      // node:     process.versions.node,
      // path:     this.$route.path,
      // platform: require('os').platform(),
      // vue:      require('vue/package.json').version,
    }
  },
  methods: {
    keyup (e) {
      const value = e.target.value
      console.log(e, value)
      this.$emit('change', {value:value, event:e})
    },
  },
}
</script>

<style scoped>

</style>